:root {
  --color-background1: #e8eaee;
  --color-background2: #ffffff;
  --color-background3: #1a2130;
  --color-text1: #ffdb00;
  --color-text2: #ff7f3e;
  --color-text3: #ffffff;
  --color-text4: #000000;

  scroll-behavior: smooth;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background-color: var(--color-background1);
  font-family: "Josefin Sans", sans-serif;
}

header {
  background-color: var(--color-background3);
}

nav {
  height: 50px;
  width: 95%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  margin: 0 auto;
}

nav .nav-link {
  width: 10rem;
  text-align: center;
}

nav .nav-link a {
  color: var(--color-text1);
  text-decoration: none;
  font-size: 1.2rem;
}

#hero {
  display: flex;
  height: 550px;
  width: 90%;
  margin: 0 auto;
  justify-content: space-between;
}

#hero-title {
  align-self: center;
}

#hero h1 {
  font-size: 6rem;
  color: var(--color-text2);
  line-height: 8rem;
}

#hero h2 {
  font-size: 2.8rem;
  color: var(--color-text3);
}

#hero-image {
  height: 550px;
}

#hero-image img {
  height: 100%;
}

@media only screen and (max-width: 1280px) {
  nav .nav-link a {
    font-size: 1rem;
  }

  header {
    height: 500px;
  }

  #hero {
    height: 450px;
  }

  #hero h1 {
    font-size: 4.5rem;
    line-height: 6rem;
  }

  #hero h2 {
    font-size: 2.2rem;
  }

  #hero-image img {
    height: 80%;
  }
}

@media only screen and (max-width: 1024px) {
  header {
    height: 450px;
  }

  #hero {
    height: 400px;
  }
  #hero h1 {
    font-size: 4rem;
    line-height: 4rem;
  }

  #hero h2 {
    font-size: 1.5rem;
  }

  #hero-image img {
    height: 70%;
  }
}

@media only screen and (max-width: 990px) {
  header {
    height: 400px;
  }

  #hero {
    height: 350px;
  }
  #hero h1 {
    font-size: 2.5rem;
    line-height: 3rem;
  }

  #hero h2 {
    font-size: 1rem;
  }

  #hero-image img {
    height: 60%;
  }
}

@media only screen and (max-width: 450px) {
  nav {
    width: 100%;
    justify-content: center;
  }

  header {
    height: 400px;
    width: 100%;
  }

  #hero {
    width: 100%;
    height: 350px;
    flex-direction: column;
    justify-content: space-around;
  }

  #hero h1 {
    font-size: 2.5rem;
    line-height: 3rem;
    text-align: center;
  }

  #hero h2 {
    font-size: 1rem;
    text-align: center;
  }

  #hero-image {
    height: 250px;
    align-self: center;
  }

  #hero-image img {
    height: 100%;
  }
}

.main-tile {
  margin: 2rem auto;
  width: 90%;
  background-color: var(--color-background2);
}

.main-tile h1 {
  font-size: 2.5rem;
  line-height: 4.5rem;
  text-align: center;
  background-color: var(--color-background3);
  color: var(--color-text2);
  margin-bottom: 20px;
}

#experiences {
  display: grid;
  gap: 20px;
  padding: 0 20px 20px 20px;
  grid-template-columns: 1fr 1fr 1fr;
}

.experience-tile {
  height: 450px;
  background-color: var(--color-background1);
  background-repeat: no-repeat;
  background-size: 20%;
  background-position: 95% 95%;
}

.experience-tile-title {
  height: 3.2rem;
  background-color: var(--color-background3);
  text-align: center;
  padding-top: 1rem;
  border-bottom: 2px solid var(--color-text4);
}

.experience-tile-title h4 {
  text-align: center;
  font-size: 1.5rem;
  color: var(--color-text2);
}

.experience-tile-body {
  padding: 1rem;
}

.experience-tile-body p {
  text-align: justify;
  font-size: 1.2rem;
  color: var(--color-text4);
  line-height: 1.9rem;
  font-family: Tahoma;
}

#windows-tile {
  background-image: url(./images/iconmonstr-windows-os-1-240.png);
}

#linux-tile {
  background-image: url(./images/iconmonstr-linux-os-1-240.png);
}

#networking-tile {
  background-image: url(./images/iconmonstr-sitemap-5-240.png);
}

#security-tile {
  background-image: url(./images/iconmonstr-shield-33-240.png);
}

#virtualization-tile {
  background-image: url(./images/iconmonstr-server-7-240.png);
}

#programming-tile {
  background-image: url(./images/iconmonstr-terminal-filled-240.png);
}

#other-tile {
  background-image: url(./images/iconmonstr-apps-filled-240.png);
}

@media only screen and (max-width: 1280px) {
  #experiences {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }
}

@media only screen and (max-width: 1024px) {
  .main-tile h1 {
    font-size: 2rem;
  }

  .experience-tile-title h4{
    font-size: 1.2rem;
  }

  .experience-tile-body p {
    font-size: 1rem;
    line-height: 1.5rem;
  }
}

@media only screen and (max-width: 991px){

  #experiences {
    gap: 10px;
  }
}

@media only screen and (max-width: 450px) {
  .main-tile {
    width: 100%;
  }

  #experiences {
    display: grid;
    grid-template-columns: 1fr;
  }
}

#history {
  padding: 0 20px 20px 20px;
}

.tile {
  display: flex;
  margin-bottom: 10px;
  margin-left: 10px;
}

.circle {
  width: 150px;
  height: 150px;
  background-color: var(--color-background3);
  border-top-left-radius: 50%;
  border-bottom-left-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.circle p {
  color: #ff7600;
  font-size: 1.5rem;
  font-weight: bold;
  font-family: Tahoma;
}

.tile-right {
  width: 100%;
  height: 150px;
  background: linear-gradient(90deg, var(--color-background3), #ffffff);
  font-weight: bold;
  font-family: Verdana;
  color: var(--color-text3);
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}

.tile-right p {
  font-weight: bold;
}

.tile-right h2 {
  font-size: 1.5rem;
}

.tile-right h3 {
  font-size: 1.3rem;
}

@media only screen and (max-width: 768px){
  .tile-right h2 {
    font-size: 1rem;
  }
  
  .tile-right h3 {
    font-size: 0.9rem;
  }
  
}

@media only screen and (max-width: 640px){
  #history {
    padding-bottom: 10px;
  }

  .circle {
    width: 100px;
    height: 100px;
  }
  
  .circle p {
    color: #ff7600;
    font-size: 1.2rem;
    font-weight: bold;
    font-family: Tahoma;
  }
  
  .tile-right {
    height: 100px;
  }
  
}

@media only screen and (max-width: 450px) {
}